Subject: Re: icmp_unreachable uses wrong ip

From: Hasso Tepper <[email-masked]>
Date: Mon, 2 May 2005 20:38:21 +0300

Patrick McHardy wrote:
> Hasso Tepper wrote:
> > Similar patches have been posted to the list repeatedly AFAIK with no
> > any response from developers. Can someone enlighten us why? Is there
> > something wrong with it? This is the feature people administrating
> > routers would like to have. It makes debugging complicated topologies
> > much easier and all routers I have seen behave this way.
>
> Why can't you simply add the prefered source address to the route?

Because I don't know what it is. Router A knows what's the best path from 
router A to router B, but he can't know (at least in cases where there are 
more than 1 path between them) what's the best path from router B to router 
A. Therefore you canät say which one is incoming interface in router A for 
traffic from router B. And even if you know it in some moment, topology 
might change in next moment (dynamic routing) etc.

-- 
Hasso